<!--
  @description: 招标-招标公告-tab页
  @Modifier: XWl
  @routerPath:/bidding/projectDrive/bulletin/tabs
  @date: 2019/12/30-16:58
-->
<template>
  <div class="main" style="margin-top: 0;">
    <tabs ref="tabs" :active="active" :is-open-all="isOpenAll" :save="save" :list="tabsList" />
    <router-view ref="bulletin" @stepPage="_stepPage" />
  </div>
</template>

<script>
/* 组件*/
import tabs from '@comp/common/tabs'
// tab路由配置url
import { afterTheTrialTabsList, antecedentTrialTabsList, inquiryNegotiationTabsList } from '../mixins/tenderBulletinTabsPath'
export default {
  name: 'BulletinContent',
  components: {
    tabs
  },
  data() {
    return {
      active: 1, // 在没有保存时，前几active可以点击进行切换
      isOpenAll: false, // 是否开启所有节点
      tenderBase: this.$store.getters.tenderBase, // 项目信息
      tabsList: []
    }
  },
  watch: {
    $route(to, from) {
      // 判断是否有公告Id && 否可以切换项目概况已后的tab页 00 不可以切换 01可以切换
      if (this.$route.query.bulletinId) {
        this.active = 2
        if (this.$route.query.bulletinId && this.$route.query.isSwitchTable === '01') {
          this.isOpenAll = true
        }
      }
    }
  },
  created() {
    // 判断是否有公告Id && 否可以切换项目概况已后的tab页 00 不可以切换 01可以切换
    if (this.$route.query.bulletinId) {
      this.active = 2
      if (this.$route.query.bulletinId && this.$route.query.isSwitchTable === '01') {
        this.isOpenAll = true
      }
    }
    this.getSystemSource()// 获取系统来源
  },
  methods: {
    // 获取系统来源
    getSystemSource() {
      this.$store.dispatch('getSystemSource', 'tenderBulletin').then(systemSource => {
        // tabs展示内容
        if (this.tenderBase.bulletinType === '21') { // 资审公告
          this.tabsList = antecedentTrialTabsList
        }
        // 招标公告
        if (this.tenderBase.bulletinType === '01') {
          // tenderMethod 00公开招标、01邀请招标
          if (this.tenderBase.tenderMethod === '00' || this.tenderBase.tenderMethod === '01') {
            this.tabsList = afterTheTrialTabsList
            // if (this.tenderBase.tenderMethod === '00') this.tabsList = this.tabsList.filter(item => item.name !== '投标人资格要求')
          } else {
            // 询比、谈判
            this.tabsList = inquiryNegotiationTabsList
          }
        }
        //  00 平台制作公告 01 工具制作公告
        if (systemSource === '01') {
          this.tabsList[this.tabsList.length - 1].path = this.tabsList[this.tabsList.length - 1].path_2 // 使用工具制作公告
        } else if (systemSource === '00') {
          this.tabsList[this.tabsList.length - 1].path = this.tabsList[this.tabsList.length - 1].path_1 // 平台制作公告
        }
      })
    },
    // 控制上一步 下一步跳转页面 子组件传给父组件
    // prev 上一步 next 下一步 或者是数字直接指定展示第几步的页面
    _stepPage(page, query) {
      // 路由携带参数
      const data = {
        ...query
      }
      // 调用步骤条-组件方法
      this.$refs.tabs.tabPage(page, data)
    },
    /*
      * 暂存接口
      * type参数 draft 点击步骤条切换-进行保存草稿
      * */
    save(type) {
      // 调用公共页面的方法-暂存草稿
      if (this.$refs.bulletin.saveData) {
        this.$refs.bulletin.saveData(type)
      }
    }
  }
}
</script>

<style lang="less" scoped>

</style>
